<template>
  <div class="show-categories">
    <carousel
      :perPageCustom="[
        [0, 1],
        [690, 3],
        [1264, 4]
      ]"
      :navigate-to="some - local - property"
      :mouse-drag="false"
      :autoplay="false"
      :autoplay-direction="forward"
      :loop="true"
      :paginationEnabled="false"
      :navigationEnabled="true"
      :data="categories"
    >
      <slide
        v-for="category in categories"
        :key="category.id"
        class="categories"
      >
        <ShowCategoryBox
          :category="category"
          @go-to-category="goToProductListOfThisCategory"
        />
      </slide>
    </carousel>
  </div>
</template>

<script>
import { Carousel, Slide } from 'vue-carousel'
import ShowCategoryBox from './ShowCategoryBox'
import API from '@/API.js'

export default {
  name: 'ShowCategories',
  components: {
    ShowCategoryBox,
    Carousel,
    Slide
  },
  data() {
    return {
      categories: []
    }
  },

  mounted() {
    this.loadCategories()
  },

  methods: {
    async loadCategories() {
      this.categories = await API.loadCategories()
    },
    goToProductListOfThisCategory(categoryName) {
      this.$router.push('/get/productList/' + categoryName)
    }
  }
}
</script>

<style scoped>
img {
  height: 80%;
  width: 80%;
}
</style>
